tasty-golden-2.3.5: Golden tests support for tasty

Safe Haskell | None
Language | Haskell2010

Test.Tasty.Golden.Manage

Contents

- Command line helpers
- The ingredient

Description

Previously, accepting tests (by the `--accept` flag) was done by this module, and there was an ingredient to handle that mode.

Now it's done as part of a normal test run. When the `--accept` flag is given, it makes golden tests to update the files whenever there is a mismatch. So you no longer need this module. It remains only for backwards compatibility.

Synopsis

- defaultMain :: TestTree -> IO ()
- acceptingTests :: Ingredient
- newtype AcceptTests = AcceptTests Bool

# Command line helpers

defaultMain :: TestTree -> IO () Source #

This exists only for backwards compatibility. Use `defaultMain` instead.

# The ingredient

acceptingTests :: Ingredient Source #

This exists only for backwards compatibility. You don't need to include this anymore.

newtype AcceptTests Source #

This option, when set to `True`, specifies that we should run in the «accept tests» mode

Constructors

AcceptTests Bool |

#### Instances

Instances details

Eq AcceptTests Source # |
Instance details Defined in Test.Tasty.Golden.Internal Methods (==) :: AcceptTests -> AcceptTests -> Bool Source # (/=) :: AcceptTests -> AcceptTests -> Bool Source #
Ord AcceptTests Source # |

Instance details

Defined in Test.Tasty.Golden.Internal

Methods

compare :: AcceptTests -> AcceptTests -> Ordering Source #

(<) :: AcceptTests -> AcceptTests -> Bool Source #

(<=) :: AcceptTests -> AcceptTests -> Bool Source #

(>) :: AcceptTests -> AcceptTests -> Bool Source #

(>=) :: AcceptTests -> AcceptTests -> Bool Source #

max :: AcceptTests -> AcceptTests -> AcceptTests Source #

min :: AcceptTests -> AcceptTests -> AcceptTests Source #

IsOption AcceptTests Source # |
Instance details Defined in Test.Tasty.Golden.Internal Methods defaultValue :: AcceptTests Source # parseValue :: String -> Maybe AcceptTests Source # optionName :: Tagged AcceptTests String Source # optionHelp :: Tagged AcceptTests String Source # showDefaultValue :: AcceptTests -> Maybe String Source # optionCLParser :: Parser AcceptTests Source #